package cicaprojekt;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Menu {
    public static void main(String[] args) throws IOException {
        System.out.println("Continuously Integrated Cica Projekt - Proto");
        System.out.println("Üdvözöllek a Babylon Simulator 2000 játékban! Kérlek válassz egy menüpontot!");

        Tester tester = new Tester();

        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        boolean isExiting = false;
        while(!isExiting) {
            String[] input = br.readLine().split(" ");
            switch (input[0]) {
                case "loadMap":
                    tester.loadMap(input[1]);
                    break;
                case "listPlayers":
                    System.out.println(tester.listPlayers());
                    break;
                case "move":
                    tester.move(input[1]);
                    break;
                case "boxLift":
                    tester.boxLift(input[1]);
                    break;
                case "boxDrop":
                    tester.boxDrop(input[1]);
                    break;
                case "shootONeillsGun":
                    tester.shootONeillsGun(input[1]);
                    break;
                case "rotate":
                    tester.rotate(input[1], input[2]);
                    break;
                case "listStargates":
                    System.out.println(tester.listStargates());
                    break;
                case "exit":
                    isExiting = true;
                    break;
            }
        }
    }
}
